SystemOrganization addCategory: #ConfigurationOfRoassal!

Object subclass: #ConfigurationOfRoassal
	instanceVariableNames: 'project'
	classVariableNames: 'LastVersionLoad'
	poolDictionaries: ''
	category: 'ConfigurationOfRoassal'!

!ConfigurationOfRoassal class methodsFor: 'development support' stamp: 'AlexandreBergel 8/2/2011 16:16'!
DevelopmentSupport

"See the methods in the 'development support' category on the class-side of MetacelloBaseConfiguration. Decide what development support methods you would like to use and copy them the the class-side of your configuration."
	<apiDocumentation>
! !

!ConfigurationOfRoassal class methodsFor: 'private' stamp: 'AlexandreBergel 8/2/2011 16:16'!
baseConfigurationClassIfAbsent: aBlock

	^Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			self ensureMetacelloBaseConfiguration.
			Smalltalk at: #MetacelloBaseConfiguration ifAbsent: aBlock ].
! !

!ConfigurationOfRoassal class methodsFor: 'private' stamp: 'AlexandreBergel 8/2/2011 16:16'!
ensureMetacello

	(self baseConfigurationClassIfAbsent: []) ensureMetacello! !

!ConfigurationOfRoassal class methodsFor: 'private' stamp: 'AlexandreBergel 8/2/2011 16:16'!
ensureMetacelloBaseConfiguration

	Smalltalk
		at: #MetacelloBaseConfiguration
		ifAbsent: [ 
			| repository version |
			repository := MCHttpRepository location: 'http://seaside.gemstone.com/ss/metacello' user: '' password: ''.
			repository
				versionReaderForFileNamed: 'Metacello-Base-DaleHenrichs.2.mcz'
				do: [ :reader | 
					version := reader version.
					version load.
					version workingCopy repositoryGroup addRepository: repository ] ]! !

!ConfigurationOfRoassal class methodsFor: 'metacello tool support' stamp: 'AlexandreBergel 8/2/2011 16:16'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfRoassal class methodsFor: 'loading' stamp: 'AlexandreBergel 8/2/2011 16:16'!
load
	"Load the #stable version defined for this platform. The #stable version is the version that is recommended to be used on this platform."

	"self load"

	<apiDocumentation>
	^(self project version: #stable) load! !

!ConfigurationOfRoassal class methodsFor: 'loading' stamp: 'AlexandreBergel 8/2/2011 16:16'!
loadBleedingEdge
	"Load the latest versions of the mcz files defined for this project. It is not likely that the #bleedingEdge has been tested."

	"self loadBleedingEdge"

	<apiDocumentation>
	^(self project version: #bleedingEdge) load! !

!ConfigurationOfRoassal class methodsFor: 'loading' stamp: 'AlexandreBergel 8/2/2011 16:16'!
loadDevelopment
	"Load the #development version defined for this platform. The #development version will change over time and is not expected to be stable."

	"self loadDevelopment"

	<apiDocumentation>
	^(self project version: #development) load! !

!ConfigurationOfRoassal class methodsFor: 'accessing' stamp: 'AlexandreBergel 8/2/2011 16:16'!
project

	^self new project! !

!ConfigurationOfRoassal class methodsFor: 'development support' stamp: 'AlexandreBergel 8/2/2011 16:16'!
validate
	"Check the configuration for Errors, Critical Warnings, and Warnings (see class comment for MetacelloMCVersionValidator for more information). 
	Errors identify specification issues that will result in unexpected behaviour when you load the configuration. 
	Critical Warnings identify specification issues that may result in unexpected behavior when you load the configuration.
	Warnings identify specification issues that are technically correct, but are worth take a look at."

	"self validate"

	<apiDocumentation>
	self ensureMetacello.
	^ ((Smalltalk at: #MetacelloToolBox) validateConfiguration: self debug: #() recurse: false) explore! !

!ConfigurationOfRoassal methodsFor: 'baselines' stamp: 'AlexandreBergel 8/2/2011 16:16'!
baseline10: spec
	<version: '1.0-baseline'>

	spec for: #'common' do: [
		spec blessing: #'baseline'.
		spec repository: 'http://www.squeaksource.com/Roassal'.
		spec package: #Roassal.
		spec group: 'default' with: #(#Roassal ). ].
! !

!ConfigurationOfRoassal methodsFor: 'symbolic versions' stamp: 'AlexandreBergel 11/30/2011 10:55'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: '1.61'.
! !

!ConfigurationOfRoassal methodsFor: 'accessing' stamp: 'AlexandreBergel 8/2/2011 16:16'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		(self class baseConfigurationClassIfAbsent: []) ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project loadType: #linear. "change to #atomic if desired"
		project ]! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/2/2011 16:40'!
version10: spec
	<version: '1.0' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: ''.
		spec timestamp: ''.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.1'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/2/2011 16:43'!
version110: spec
	<version: '1.10' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: ''.
		spec timestamp: ''.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.11'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/2/2011 16:43'!
version111: spec
	<version: '1.11' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: ''.
		spec timestamp: ''.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.12'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/2/2011 16:44'!
version112: spec
	<version: '1.12' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: ''.
		spec timestamp: ''.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.13'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/2/2011 16:44'!
version113: spec
	<version: '1.13' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: ''.
		spec timestamp: ''.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.14'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/2/2011 16:44'!
version114: spec
	<version: '1.14' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: ''.
		spec timestamp: ''.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.15'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/2/2011 16:39'!
version115: spec
	<version: '1.15' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.0 : New tests, Nesting works better (elementAt:)'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/2/2011 16:37'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.16'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/2/2011 18:03'!
version116: spec
	<version: '1.16' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.15 : contains
1.16 : Added ROCountingNullCanvas'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/2/2011 18:03'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.18'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/2/2011 18:08'!
version117: spec
	<version: '1.17' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.16 : Added ROCountingNullCanvas
1.17 : removed the use of pink'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/2/2011 18:08'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.19'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/2/2011 18:15'!
version118: spec
	<version: '1.18' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.17 : removed the use of pink
1.18 : All tests are green'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/2/2011 18:15'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.20'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/2/2011 18:40'!
version119: spec
	<version: '1.19' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.18 : All tests are green
1.19 : added growable and layout (copied from Mondrian)'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/2/2011 18:40'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.21'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/2/2011 18:00'!
version11: spec
	<version: '1.1' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.15 : contains'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/2/2011 18:00'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.17'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/2/2011 18:44'!
version120: spec
	<version: '1.20' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.19 : added growable and layout (copied from Mondrian)
1.20 : fixed a bad ref in ROScatterplotLayout'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/2/2011 18:44'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.22'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/2/2011 18:47'!
version121: spec
	<version: '1.21' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.20 : fixed a bad ref in ROScatterplotLayout
1.21 : Renamed addNodes -> addMany: and addNode: -> add:'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/2/2011 18:47'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.23'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/3/2011 16:19'!
version122: spec
	<version: '1.22' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.21 : Renamed addNodes -> addMany: and addNode: -> add:
1.22 : Added circle layout'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/3/2011 16:19'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.24'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/3/2011 17:35'!
version123: spec
	<version: '1.23' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.22 : Added circle layout
1.23 : Fixed a bug related to dragging inner nodes'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/3/2011 17:35'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.25'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/4/2011 10:03'!
version124: spec
	<version: '1.24' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.23 : Fixed a bug related to dragging inner nodes
1.24 : Cleaning. Introduced a hierarchy of elements to capture the containinment'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/4/2011 10:03'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.26'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/4/2011 12:16'!
version125: spec
	<version: '1.25' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.24 : Cleaning. Introduced a hierarchy of elements to capture the containinment
1.25 : bug fixed with dragging inner nodes. '.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/4/2011 12:16'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.27'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/4/2011 13:56'!
version126: spec
	<version: '1.26' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.25 : bug fixed with dragging inner nodes. 
1.26 : Added label'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/4/2011 13:56'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.28'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/4/2011 15:48'!
version127: spec
	<version: '1.27' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.26 : Added label
1.27 : Worked on zooming'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/4/2011 15:48'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.29'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/4/2011 16:45'!
version128: spec
	<version: '1.28' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.27 : Worked on zooming
1.28 : better drag and drop. Zooming works'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/4/2011 16:45'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.30'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/4/2011 17:31'!
version129: spec
	<version: '1.29' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.28 : better drag and drop. Zooming works
1.29 : Added gridlayout'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/4/2011 17:31'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.31'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/2/2011 16:40'!
version12: spec
	<version: '1.2' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: ''.
		spec timestamp: ''.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.3'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/4/2011 18:48'!
version130: spec
	<version: '1.30' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.29 : Added gridlayout
1.30 : added more example, right and left click'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/4/2011 18:48'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.32'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/4/2011 19:09'!
version131: spec
	<version: '1.31' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.30 : added more example, right and left click
1.31 : Worked on choice, but it does not work so far. Need to work on it'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/4/2011 19:09'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.33'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/7/2011 22:29'!
version132: spec
	<version: '1.32' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.31 : Worked on choice, but it does not work so far. Need to work on it
1.32 : bug fixed when adding elements in a container. New example added with dynamic layout update'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/7/2011 22:29'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.34'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/8/2011 10:26'!
version133: spec
	<version: '1.33' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.32 : bug fixed when adding elements in a container. New example added with dynamic layout update
1.33 : better window resize. mouse enter and mouse leave'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/8/2011 10:26'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.35'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/8/2011 15:04'!
version134: spec
	<version: '1.34' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.33 : better window resize. mouse enter and mouse leave
1.34 : fixes to make it green in a Dev'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/8/2011 15:04'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.36'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/8/2011 17:22'!
version135: spec
	<version: '1.35' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.34 : fixes to make it green in a Dev
1.35 : Preparing the animation'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/8/2011 17:22'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.37'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/8/2011 17:46'!
version136: spec
	<version: '1.36' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.35 : Preparing the animation
1.36 : added linear motion'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/8/2011 17:46'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.38'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/9/2011 12:25'!
version137: spec
	<version: '1.37' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.36 : added linear motion
1.37 : Improvement of the drag and drop. But it is still buggy with multiple views'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/9/2011 12:25'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.39'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/9/2011 19:44'!
version138: spec
	<version: '1.38' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.37 : Improvement of the drag and drop. But it is still buggy with multiple views
1.38 : Added popup'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/9/2011 19:44'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.40'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/10/2011 16:57'!
version139: spec
	<version: '1.39' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.38 : Added popup
1.39 : Popup now works!!'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/10/2011 16:57'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.41'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/2/2011 16:40'!
version13: spec
	<version: '1.3' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: ''.
		spec timestamp: ''.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.4'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/12/2011 18:45'!
version140: spec
	<version: '1.40' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.39 : Popup now works!!
1.40 : Added punch example'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/12/2011 18:45'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.42'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/16/2011 13:56'!
version141: spec
	<version: '1.41' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.40 : Added punch example
1.41 : Enh of the camera, view may now be translated'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/16/2011 13:56'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.43'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/18/2011 11:59'!
version142: spec
	<version: '1.42' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.41 : Enh of the camera, view may now be translated
1.42 : cleaning of the camera and canvas business. A canvas now has solely a reference to the camera and a canvas. All but one test are green'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/18/2011 11:59'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.46'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/19/2011 12:22'!
version143: spec
	<version: '1.43' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.42 : cleaning of the camera and canvas business. A canvas now has solely a reference to the camera and a canvas. All but one test are green
1.43 : Added motion as interaction. Cool!!!!!!!!'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/19/2011 12:22'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.47'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/19/2011 14:31'!
version144: spec
	<version: '1.44' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.43 : Added motion as interaction. Cool!!!!!!!!
1.44 : ROView>>elementAt: works now well. Yupi!!'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/19/2011 14:31'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.48'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/19/2011 16:29'!
version145: spec
	<version: '1.45' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.44 : ROView>>elementAt: works now well. Yupi!!
1.45 : '.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/19/2011 16:29'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.49'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/21/2011 12:30'!
version146: spec
	<version: '1.46' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.45 : 
1.46 : Improvement of elementAt: drag and dropping...'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/21/2011 12:30'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.50'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/21/2011 17:54'!
version147: spec
	<version: '1.47' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.46 : Improvement of elementAt: drag and dropping...
1.47 : a small step toward Pharo 1.4'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/21/2011 17:54'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.51'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/25/2011 12:46'!
version148: spec
	<version: '1.48' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.47 : a small step toward Pharo 1.4
1.48 : added viewstack. Two tests are yellow. Working on this'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/25/2011 12:46'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.52'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/29/2011 16:02'!
version149: spec
	<version: '1.49' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.48 : added viewstack. Two tests are yellow. Working on this
1.49 : more on motion'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/29/2011 16:02'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.53'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/2/2011 16:40'!
version14: spec
	<version: '1.4' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: ''.
		spec timestamp: ''.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.5'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/31/2011 12:20'!
version150: spec
	<version: '1.50' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.49 : more on motion
1.50 : all but one tests are green. Added overlappingElements'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/31/2011 12:20'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.54'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/31/2011 15:29'!
version151: spec
	<version: '1.51' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.50 : all but one tests are green. Added overlappingElements
1.51 : Removed {}'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/31/2011 15:29'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.55'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/31/2011 16:40'!
version152: spec
	<version: '1.52' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.51 : Removed {}
1.52 : added asSorted: and a new example on memory profiling'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '8/31/2011 16:40'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.56'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 9/12/2011 11:24'!
version153: spec
	<version: '1.53' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.52 : added asSorted: and a new example on memory profiling
1.53 : commented edgesFrom:'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/12/2011 11:24'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.57'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 9/12/2011 15:43'!
version154: spec
	<version: '1.54' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.53 : commented edgesFrom:
1.54 : example on latenSemanticIndexing'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/12/2011 15:43'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.58'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 9/13/2011 20:20'!
version155: spec
	<version: '1.55' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.54 : example on latenSemanticIndexing
1.55 : Improvement of zoom in and out. Latent Semantic Indexing is now zoomable'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '9/13/2011 20:20'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.59'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 11/14/2011 19:47'!
version156: spec
	<version: '1.56' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.55 : Improvement of zoom in and out. Latent Semantic Indexing is now zoomable
1.56 : Added new example on adding node dynamically'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/14/2011 19:47'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.60'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 11/15/2011 09:26'!
version157: spec
	<version: '1.57' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.56 : Added new example on adding node dynamically
1.57 : Edges can now be colored in the MondrianBuilder'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/15/2011 09:26'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.61'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 11/24/2011 16:19'!
version158: spec
	<version: '1.58' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.57 : Edges can now be colored in the MondrianBuilder
1.58 : Martin proposed expandable nodes. His code is now in the distribution of Roassal'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/24/2011 16:19'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.62'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 11/28/2011 13:54'!
version159: spec
	<version: '1.59' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.58 : Martin proposed expandable nodes. His code is now in the distribution of Roassal
1.59 : Smooth node movement with expandable nodes. Check this with: ROExample new expandableNodes'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/28/2011 13:54'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.63'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/2/2011 16:40'!
version15: spec
	<version: '1.5' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: ''.
		spec timestamp: ''.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.6'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 11/30/2011 10:49'!
version160: spec
	<version: '1.60' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.59 : Smooth node movement with expandable nodes. Check this with: ROExample new expandableNodes
1.60 : Added visitor and example for the highlight
1.60 : Added visitor and example on highlither'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/30/2011 10:49'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.64'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 11/30/2011 10:55'!
version161: spec
	<version: '1.61' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: '1.60 : Added visitor and example on highlither'.
		spec author: 'AlexandreBergel'.
		spec timestamp: '11/30/2011 10:55'.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.64'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/2/2011 16:43'!
version16: spec
	<version: '1.6' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: ''.
		spec timestamp: ''.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.7'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/2/2011 16:43'!
version17: spec
	<version: '1.7' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: ''.
		spec timestamp: ''.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.8'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/2/2011 16:43'!
version18: spec
	<version: '1.8' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: ''.
		spec timestamp: ''.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.9'. ].
! !

!ConfigurationOfRoassal methodsFor: 'versions' stamp: 'AlexandreBergel 8/2/2011 16:43'!
version19: spec
	<version: '1.9' imports: #('1.0-baseline' )>

	spec for: #'common' do: [
		spec blessing: #'development'.
		spec description: ''.
		spec author: ''.
		spec timestamp: ''.
		spec package: #Roassal with: 'Roassal-AlexandreBergel.10'. ].
! !
